@echo off
setlocal enabledelayedexpansion
set OldDir=%cd%
cd /D %~dp0

net session >nul 2>&1
if %ERRORLEVEL% NEQ 0 echo This batch file must be run with administrator rights^^! & goto END

echo.

set SEGGER_TOOL_DIR=..\..
set SEGGER_XML_FILE=%SEGGER_TOOL_DIR%\JLinkDevices.xml
set ORG_XML_FILE=%SEGGER_TOOL_DIR%\JLinkDevices_org.xml
set NEW_XML_FILE=.\JLinkDevices.xml

if exist "%ORG_XML_FILE%" (
  copy "%ORG_XML_FILE%" "%SEGGER_XML_FILE%" 2>nul
  del "%ORG_XML_FILE%" 2>nul
)

if exist "%SEGGER_XML_FILE%" (
  copy "%SEGGER_XML_FILE%" "%ORG_XML_FILE%" 2>nul
  call :DOCOPY "%NEW_XML_FILE%" "%SEGGER_XML_FILE%"
) else echo Warning - file "%SEGGER_XML_FILE%" does not exist^^!

echo Done.
goto :END

:DOCOPY
if exist %1 xcopy /h /k /i /y %1 %2 | findstr -v "copied"
goto :END

:END
cd /D %OldDir%
endlocal
echo.
echo Press any key to exit...
pause >nul
goto :EOF
